# $Id: smeserver-kronolith.spec,v 1.12 2010/01/22 03:08:33 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Kronolith configuration and templates.
%define name smeserver-kronolith
Name: %{name}
%define version 2.2
%define release 10
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: kronolith-2.3.patch
Patch2: kronolith-2.3.sql.patch
Patch3: smeserver-kronolith_reminders_agendas.patch
Patch4: kronolith-2.3.2.patch
Patch5: kronolith-2.3.3.patch
Patch6: smeserver-kronolith_reminders_agendas_owner.patch
Patch7: smeserver-kronolith_fburl.patch
Patch8: smeserver-kronolith_remove_freebusy_db.patch
Patch9: smeserver-kronolith_remove_calFBURL.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.3.7
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: e-smith-base >= 4.18.1-5
Requires: e-smith-ldap >= 4.12.0-9
Requires: kronolith-h3 >= 2.2
Requires: php-pear-HTTP-Request >= 1.4.0
Requires: php-pear-Net-Socket >= 1.0.6
Requires: php-pear-Net-URL >= 1.0.14
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: e-smith-kronolith = 0.8.0-02db
Obsoletes: pear-http_request >= 1.4.0 
Obsoletes: pear-net_socket >= 1.0.6 
Obsoletes: pear-net_url >= 1.0.14 


%changelog
* Thu Apr 22 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-10
- Added removal of user's calFBURL from LDAP smeserver-kronolith is uninstalled

* Thu Apr 22 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-9
- Added migrate fragment to remove FreeBusy db entry from accounts since this
  information is now saved directly to LDAP on SME8.

* Thu Apr 22 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-8
- Added saving of user's calFBURL to LDAP for use with SME8. [SME: 5708]

* Sun Jan 24 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-7
- Update to change owner of alarm and reminder cron jobs from root to www [SME: 4851]

* Mon Dec 28 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-6
- Updated templates to reflect Kronolith 2.3.3

* Fri Oct 9 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-5
- Updated templates to reflect Kronolith 2.3.2

* Sun Dec 14 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-4
- Patch to add more functionality to Kronolith for calendar reminders and daily agenda email
- config setprop horde reminders enabled - default is enabled and this is set to run every 5 minutes.
- The above sends calendar email alarms/reminders.
- config setprop horde remindertime x - will change the frequency, value in minutes.
- config setprop horde agendas enabled  - default is disabled set to run everyday at 5 am when enabled.
- The above sends daily calendar agenda emails.
- config setprop horde agenda time x - will change the frequency, value needs to be 0 - 24.

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-3
- Patch to add forgotten changes from kronolith upgrade sql script

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-2
- Updated templates to reflect Kronolith 2.3

* Sun Jun 22 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1
- Initial production build
- Jump in package name to reflect new version of kronolith

* Tue Jun 3 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build
- Jump in package name to reflect new version of kronolith

%description
This package adds necessary templates and configuration items
so that Kronolith will work properly on SME Server

%prep
%setup

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 = 0 ] ; then
   /etc/e-smith/events/actions/ldap-delete-fburl ldap-update
fi

%post
/sbin/e-smith/expand-template /etc/openldap/slapd.conf
/etc/rc7.d/S80ldap restart
sleep 5
/etc/e-smith/events/actions/ldap-add-fburl ldap-update

%postun
if [ $1 = 0 ] ; then
   /sbin/e-smith/expand-template /etc/openldap/slapd.conf
   /etc/rc7.d/S80ldap restart
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
